Classifiers
^^^^^^^^^^^

SDR Classifier
++++++++++++++

.. automodule:: nupic.algorithms.sdr_classifier

.. autoclass:: nupic.algorithms.sdr_classifier.SDRClassifier
   :show-inheritance:
   :members:

.. autoclass:: nupic.algorithms.sdr_classifier_factory.SDRClassifierFactory
   :members: create

KNN Classifier
++++++++++++++

.. autoclass:: nupic.algorithms.knn_classifier.KNNClassifier
   :show-inheritance:
   :members:
